Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.framework
Interface XMLContentSpec.Provider

All Known Implementing Classes:
  Grammar

public static interface XMLContentSpec.Provider

Provides a means for walking the structure built out of content spec "nodes". The user of this provider interface is responsible for knowing what the content spec node values "mean". If those values refer to content spec identifiers, then the user can call back into the provider to get the next content spec node in the structure.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`boolean` | `getContentSpec(int contentSpecIndex, XMLContentSpec contentSpec)` Fills in the provided content spec structure with content spec information for a unique identifier.

Method Detail

### getContentSpec

    public boolean getContentSpec(int contentSpecIndex,
                                  XMLContentSpec contentSpec)

  Fills in the provided content spec structure with content spec information for a unique identifier.

  Parameters:
    `contentSpecIndex` - The content spec identifier. All content spec "nodes" have a unique identifier.
    `contentSpec` - The content spec struct to fill in with the information.
  Returns:
    Returns true if the contentSpecIndex was found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD